Tag Archives: Build

Gradle 플러그인 선언 스타일

요즘방법

플러그인 검색 페이지 : https://plugins.gradle.org/
옛날건 properties 파일에 플러그인 버전을 다 설정 해 놨는데 새로운 설정방법으로 하면 값을 가져오지 못한다. 자주 하는건 아니니가 그냥 노가다 표기법 사용.


plugins{
	id 'java'
	id 'groovy'
//	id "org.jetbrains.kotlin.jvm" version kotlin_version //오류남
	id "org.jetbrains.kotlin.jvm" version "1.2.61"
	id "org.jetbrains.kotlin.plugin.spring" version "1.2.61"
	id "org.jetbrains.kotlin.plugin.jpa" version "1.2.61"
	id 'scala'
	id "gradle-clojure.clojure" version "0.4.0"
	id 'com.github.johnrengelman.shadow' version '2.0.2'
	id 'eclipse'
	id 'eclipse-wtp'
	id 'idea'
}

옛날방법

멀티모듈, 버전 설정파일이 있는 경우 사용

buildscript {
	repositories {
		jcenter()
		mavenCentral()
		maven { url 'https://plugins.gradle.org/m2/' }
	}
	dependencies {
		classpath "org.springframework.boot:spring-boot-gradle-plugin:$spring_boot_version"
		classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
		classpath "org.jetbrains.kotlin:kotlin-allopen:$kotlin_version"
//		classpath "org.jetbrains.kotlin:kotlin-noarg:$kotlin_version"
//		classpath "com.google.protobuf:protobuf-gradle-plugin:$protobuf_gradle_plugin_version"
//		classpath "se.transmode.gradle:gradle-docker:$transmode_docker_gradle_plugin_version"
//		classpath 'com.bmuschko:gradle-docker-plugin:3.0.8'
//		classpath "org.springframework:springloaded:$springloaded_version"
//		classpath 'nu.studer:gradle-jooq-plugin:2.0.7'
//		classpath 'org.hidetake:gradle-ssh-plugin:2.9.0'
//		classpath 'org.codehaus.groovy:groovy-backports-compat23:2.4.6'
	}
}

옛날방법은 낭만이 있었는데 요즘건 너무 삭막해